import { SVGProps } from "react";

function Blob4(props: SVGProps<SVGSVGElement>) {
  const width = props.width ? Number(props.width) : 419;
  const height = props.height ? Number(props.height) : 193;
  return (
    <svg
      width={width}
      height={height}
      viewBox={`0 0 ${width} ${height}`}
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        d={`M${width + 78} 37.2239C${width * 0.58} 116.789 ${width * 0.35} -66.6269 ${width * -0.186} 27.6975V${height}H${width}V37.2239Z`}
        fill="url(#paint0_linear_1_8022)"
      />
      <defs>
        <linearGradient
          id="paint0_linear_1_8022"
          x1={1.186 * width}
          y1={height}
          x2={-0.186 * width}
          y2={height}
          gradientUnits="userSpaceOnUse"
        >
          <stop stopColor="#FFA1BA" />
          <stop offset="1" stopColor="#9A55FF" />
        </linearGradient>
      </defs>
    </svg>
  );
}

export default Blob4;
